libzypp 17.37.10

zypp::ChangelogEntry Class Reference

Single entry in a change log. More...

`#include <zypp/Changelog.h>`

## Public Member Functions
| ChangelogEntry (const Date &d, std::string a, std::string t)
| Default ctor.
| ~ChangelogEntry ()
| Dtor.
Date | date () const
std::string | author () const
std::string | text () const

## Private Attributes
Date | _date
std::string | _author
std::string | _text

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &out, const ChangelogEntry &obj)
std::ostream & | operator<< (std::ostream &out, const ChangelogEntry &obj) ZYPP_API

## Detailed Description

Single entry in a change log.

Definition at line 32 of file Changelog.h.

## Constructor & Destructor Documentation

## ◆ ChangelogEntry()

zypp::ChangelogEntry::ChangelogEntry | ( | const Date & | d,
|  | std::string | a,
|  | std::string | t )
| inline

Default ctor.

Definition at line 36 of file Changelog.h.

## ◆ ~ChangelogEntry()

zypp::ChangelogEntry::~ChangelogEntry | ( |  | ) |
| inline

Dtor.

Definition at line 42 of file Changelog.h.

## Member Function Documentation

## ◆ date()

Date zypp::ChangelogEntry::date | ( |  | ) | const
| inline

Definition at line 44 of file Changelog.h.

## ◆ author()

std::string zypp::ChangelogEntry::author | ( |  | ) | const
| inline

Definition at line 45 of file Changelog.h.

## ◆ text()

std::string zypp::ChangelogEntry::text | ( |  | ) | const
| inline

Definition at line 46 of file Changelog.h.

## Friends And Related Symbol Documentation

## ◆ operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const ChangelogEntry & | obj )
| related

Definition at line 23 of file Changelog.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const ChangelogEntry & | obj )
| related

## Member Data Documentation

## ◆ _date

Date zypp::ChangelogEntry::_date
| private

Definition at line 49 of file Changelog.h.

## ◆ _author

std::string zypp::ChangelogEntry::_author
| private

Definition at line 50 of file Changelog.h.

## ◆ _text

std::string zypp::ChangelogEntry::_text
| private

Definition at line 51 of file Changelog.h.

The documentation for this class was generated from the following files:

- zypp/Changelog.h
- zypp/Changelog.cc